Subject: Re: [RFC/PATCH] log: add log.firstparent option

From: Jeff King <[email-masked]>
Date: Fri, 24 Jul 2015 00:23:27 -0700

On Thu, Jul 23, 2015 at 03:46:33PM -0700, Junio C Hamano wrote:

> Admittedly, that
> merely is saying that "--first-parent" is not a solution to such a
> project, and does not say much about the usefulness of the new
> configuration, so I'd queue it as-is.

Yeah, I agree that this patch does not make a judgement on particular
workflows, and can stand on its own. I buried a related deep in a
footnote in my other email, so let me bring it up again here.

I am not entirely convinced this won't bite somebody who gets a sha1
from some other source, and then wants to run:

  git log $some_other_sha1

who might be quite confused to start a first-parent traversal from
somewhere other than the tip of "master" or the tip of a topic branch.

-Peff